Subject: Re: [ANNOUNCE] git-pasky-0.6.2 && heads-up on upcoming changes

From: Daniel Jacobowitz <[email-masked]>
Date: Thu, 21 Apr 2005 00:28:34 -0400

On Wed, Apr 20, 2005 at 09:00:44PM -0700, Linus Torvalds wrote:
> 
> 
> On Wed, 20 Apr 2005, Daniel Jacobowitz wrote:
> > 
> > My logic: it's a lot more intuitive to say "cg-log | less" to get
> > paginated output than it is to say "cg-log | cat" to get unpaginated
> > output.
> 
> I disagree.
> 
> There is _never_ any valid situation where you do "cg-log" with 
> unpaginated output to a tty.
> 
> In _any_ real system you'll be getting thousands of lines of output. 
> Possibly millions. unpaginated? What the hell are you talking about?

OK, so I'm crazy.  I must have hallucinated doing this sort of thing on
a regular basis... :-) Examples: terminals with good scrollback,
screen, script.  Small repositories.  Irritation at less's habit of
using the alternate xterm buffer, whatever the technical term for that
is.

But hey, you'll use it more often than I will by far.

-- 
Daniel Jacobowitz
CodeSourcery, LLC